### Function

# Gcr Certificate mixin_get_property

#### Declaration [src]

    void
    gcr_certificate_mixin_get_property (
      GObject* obj,
      guint prop_id,
      GValue* value,
      GParamSpec* pspec
    )

#### Description [src]

Implementation to get various required certificate properties. This should be called from your derived class get_property function, or used as a get_property virtual function.

Example of use as called from derived class get_property function:

<informalexample><programlisting> static void my_get_property (GObject obj, guint prop_id, GValue value, GParamSpec *pspec) { switch (prop_id) {

    ...

    default:
        gcr_certificate_mixin_get_property (obj, prop_id, value, pspec);
        break;
    }

} </programlisting></informalexample>

Example of use as get_property function:

<informalexample><programlisting> static void my_class_init (MyClass klass) { GObjectClass gobject_class = G_OBJECT_CLASS (klass); gobject_class->get_property = gcr_certificate_mixin_get_property;

    ...

} </programlisting></informalexample>

This function is not directly available to language bindings.

#### Parameters

`obj`

  Type: `GObject`

  The object.

  The data is owned by the caller of the function.

`prop_id`

  Type: `guint`

  The property id.

`value`

  Type: `GValue`

  The value to fill in.

  The data is owned by the caller of the function.

`pspec`

  Type: `GParamSpec`

  The param specification.

  The data is owned by the caller of the function.